:root {
    --primary-300: #182342;
    --primary-200: #58607d;
    --primary-100: #9196a9;
    --secondary-200: #58657d;

    --bg-menus: #f1f1f1;
    --menu-item-header-color: #666666;
    --menu-item-a-color: #a4a5a7;
}

    :root a:hover {
        --menu-item-a-color: #1d2a45;
    }

body.dark {
    --bg-menus: #666;
    --menu-item-header-color: #ddd;
    --menu-item-a-color: #ccc;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@keyframes fadeInDelayed {
    0% {
        opacity: 0;
    }
    66% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

.menu-clickable {
    cursor: pointer;
    -webkit-user-select: none; /* Safari */
    -ms-user-select: none; /* IE 10 and IE 11 */
    user-select: none; /* Standard syntax */
}

.content-offsets {
    padding-left: 0px;
    padding-top: 50px;
}

.content-navbar-offsets {
    padding-left: 50px;
    padding-top: 80px;
}

.navbar-top {
    height: 55px;
    line-height: 55px;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    background-color: #3a4354;
    z-index: 9999;
}

.navbar-top-logo {
/*    position: fixed;*/
    background-color: var(--primary-300) !important;
    height: 55px;
    float: left;
}

#navbar-top-logo-img {
    width: 100%;
    height: 55px;
}

.navbar-top-close-img {
    float: right;
    width: 46px;
}

#navbar-top-indicator {
    animation: fadeInDelayed 1s;
    float: right;
    margin-right: 20px;
    color: #bbb9d6;
}

#navbar-top-login-details {
    position: relative;
    float: right;
    vertical-align: top;
    padding-right: 10px;
    font-size: 13px;
    font-family: Calibri, Arial, sans-serif;
    text-align: right;
    color: #bbb9d6;
}

#navbar-top-icons {
    /*animation: fadeIn 1s;*/
    position: relative;
    float: right;
    vertical-align: top;
    line-height: 55px;
    padding-top: 12px;
    padding-right: 15px
}

.navbar-top-icons-img {
    position: relative;
    float: left;
    padding-top: 3px;
    line-height: 26px;

    > svg, > a > svg {
        color: var(--primary-300) !important;
        height: 24px;
        width: 24px;
    }
}

.navbar-top-icons-pl {
    padding-left: 45px;
}

@media screen and (max-width: 1024px) {
    .navbar-top {
        Height: 44px;
        line-height: 44px;
    }

    .navbar-top-logo {
        height: 44px !important;
        margin-right: 0px;
    }

    .content-offsets {
        padding-left: 0px;
        padding-top: 50px;

    }

    .content-navbar-offsets {
        padding-left: 0;
        padding-top: 44px;
    }

    #navbar-top-logo-img {
        width: 100%;
        height: 44px;
    }

    #navbar-top-icons {
        position: relative;
        float: right;
        vertical-align: top;
        line-height: 55px;
        padding-top: 8px;
        padding-right: 15px
    }

    #navbar-top-login-details {
        visibility: hidden;
    }

    #navbar-top-icons {
        visibility: hidden;
    }

}

@media screen and (max-width: 765px) {
    #DivLoginDetails {
        display: none;
    }
}

@media screen and (max-width: 668px) {
    .navbar-top {
        position: fixed !important;
        background-color: var(--primary-200) !important;
    }

    .DivMasterCenterSideBarNavigation {
        padding: 0 0 0 0 !important;
        background-color: transparent !important;
    }

    .DivMasterHeaderSideBarNavigation {
        padding-top: 44px !important;
    }

    .DivMenuSideBarNavigation {
        min-width: 375px;
        width: 98% !important;
        padding-top: 0;
    }

    .SubMenuStyleSideBarNavigation {
        position: relative !important;
        left: 0 !important;
        margin-top: 0 !important;
    }
}

.menu-dropdown-btn {
    border: none;
    padding-bottom: 15px;
}

.menu-dropdown {
    position: relative;
    display: inline-block;
    direction: rtl;
}

.menu-dropdown-content {
    font-size: 13px;
    font-family: Calibri, Arial, sans-serif;
    margin-top: 15px;
    display: none;
    position: absolute;
    background-color: var(--bg-menus);
    min-width: 190px;
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
    z-index: 1;
    direction: ltr;

    > a {
        display: flex;
        flex-direction: row;
        gap: 5px;
        align-items: center;
        text-decoration: none;
        color: var(--menu-item-a-color);

        > svg {
            width: 20px;
            height: 20px;
            color: var(--menu-item-header-color);
        }
    }
}

.menu-dropdown-content button {
    background-color: transparent;
    border-width: 0;
    font-family: inherit;
    font-size: inherit;
    font-style: inherit;
    font-weight: inherit;
    line-height: inherit;
    padding: 0;
}

.menu-dropdown-content button, .menu-dropdown-content a {
    color: var(--menu-item-header-color);
    padding: 12px 16px;
    width: 100%;
    text-align: left;
    text-decoration: none;
    display: inline-flex;
    flex-direction: row;
    gap: 5px;
    line-height: 130%;
}

.menu-dropdown-indicator {
    position: absolute;
    display: none;
    z-index: 2;
    background-color: rgba(0, 0, 0, 0.8);
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
}

.menu-dropdown-indicator div {
    margin-top: 30px;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    color: #ddd;
}

.htmx-request.menu-dropdown-indicator {
    display: block;
}

#navbar-side > ul > li > button {
    background-color: transparent;
    border-width: 0;
    font-family: inherit;
    font-size: inherit;
    font-style: inherit;
    font-weight: inherit;
    line-height: inherit;
    padding: 0;
}

/* side navbar start */
/* trigger start */
#navbar-side {
    > .sm-trigger {
        visibility: hidden;
        position: fixed;
        right: 15px;
        top: 0;
        width: 40px;
        height: 44px;
        z-index: 10000;

        button {
            background: transparent;
            padding: 10px;
            width: 40px;
            height: 46px;

            svg {
                margin: auto;
            }
        }
    }

    > ul {
        background-color: #3a4354;
        width: 50px;
        position: fixed;
        top: 0;
        left: 0;
        padding-top: 55px;
        padding-left: 0;
        min-height: 100%;
        z-index: 1000;

        > li {
            /*animation: fadeIn 200ms;*/

            > button {
                padding: 10px;
                width: 100%;
                height: 46px;

                > svg {
                    margin: auto;
                    color: rgb(243 244 246);
                }
            }

> ul { /* Menu containing level 2 and up */
    font-size: 16px;
    font-family: Calibri, Arial, sans-serif;
    visibility: hidden;
    position: fixed;
    overflow-scrolling: auto;
    overflow-y: auto;
    top: 55px;
    left: 50px;
    bottom: 50px;
    right: 0;
    padding-bottom: 50px;
    padding-left: 0;
    padding-right: 10px;
    background-color: #ffffff;
    box-shadow: 9px 9px 26px 3px rgba(212, 212, 212, 0.48);
    width: 82%;
    /*                min-width: 30%;*/
    /*                max-width: 80%;*/
    z-index: 9999;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 42px;
    > .htmx-indicator {
                    margin-left: 30px;
                    margin-top: 30px;
                }

                > li { /* Level 2 items */
                    display: flex;
                    flex-direction: row;

                    > ul { /* Level 3 container */

                        > li { /* Level 3 items */
                            margin-left: 20px;
                            margin-top: 20px;
                            display: flex;
                            flex-direction: row;

                            > div {
                                width: 50px;
                                height: 50px;
                                background-color: var(--secondary-200);

                                > img {
                                    margin: auto;
                                }
                            }

                            > ul { /* Level 4 container */
                                margin-top: 16px;
                                margin-left: 10px;
                                padding-left: 0;
                                display: flex;
                                flex-direction: column;
                                flex-wrap: wrap;
                                gap: 3px;

                                > li { /* */
                                    margin-left: 15px;

                                    > a {
                                        text-decoration: none;
                                        color: var(--menu-item-a-color);
                                        line-height: 22px;
                                    }

                                    > details {
                                        > summary { /* Level 4 title when it has level 5 sub items */
                                            text-decoration: none;
                                            color: var(--menu-item-a-color);
                                            line-height: 27px;
                                            margin-left: -14px;
                                        }

                                        > ul { /* Level 5 container */
                                            padding-left: 0;
                                            margin-left: 10px;

                                            > li > a {
                                                text-decoration: none;
                                                color: var(--menu-item-a-color);
                                                line-height: 27px;
                                            }
                                        }
                                    }
                                }

                                > span {

                                    color: var(--menu-item-header-color);
                                }

                                > a {

                                    text-decoration: none;
                                    color: var(--menu-item-header-color);
                                }
                            }
                        }
                    }

                }
            }

            &:open, &:focus-within {
                background-color: var(--primary-300);

                > ul {
                    visibility: visible;
                }
            }
        }
    }
}

@media screen and (max-width: 1024px) {
    #navbar-side > .sm-trigger {
        visibility: visible;
    }

    #navbar-side > .sm-trigger:hover + ul {
        visibility: visible;
    }
}

/* trigger end */

/* level 1 start */
#navbar-side > .sm-trigger:hover,
#navbar-side:hover > .sm-trigger,
#navbar-side:focus-within > .sm-trigger,
#navbar-side > ul > li:hover,
#navbar-side > ul > li:focus-within {
    background-color: var(--primary-100);
}

#navbar-side > ul > li:hover ~ li {
    background-color: transparent !important;
}

@media screen and (max-width: 1024px) {
    #navbar-side:hover > ul, #navbar-side:focus-within > ul {
        visibility: visible;
    }

    #navbar-side > ul {
        background-color: var(--primary-300);
        min-height: 50px;
        width: 100%;
        visibility: hidden;
     }

    #navbar-side > ul {
        padding-right: 15px;
        padding-left: 5px;
        display: flex;
        flex-direction: row;
        justify-content: flex-end;
    }

    #navbar-side > ul > li > ul {
        top: 90px;
        left: 0;
        bottom: 0;
        right: 0;
    }

    #navbar-side > ul {
        padding-top: 44px;
    }
}

/* side navbar end */

.menu-dropdown-content button:hover, .menu-dropdown-content a:hover {
    background-color: #ddd;
}

.dark .menu-dropdown-content button:hover, .dark .menu-dropdown-content a:hover {
    background-color: #777;
}

.menu-dropdown:hover .menu-dropdown-content, .menu-dropdown:focus-within .menu-dropdown-content {
    display: block;
}

#navbar-side > ul > li:hover + li {
    background-color: transparent !important;
}
